stringprep_check_version(3)

NAME
stringprep_check_version - check for library version

SYNOPSIS
#include <stringprep.h>

const char * stringprep_check_version(const char * req_version);

ARGUMENTS

const char * req_version
    Required version number, or NULL.

DESCRIPTION
Check that the the version of the library is at minimum the requested one and return the version string; return NULL if the condition is not satisfied. If a NULL is passed to this function, no check is done, but the version string is simply returned. See STRINGPREP_VERSION for a suitable req_version string.

RETURN VALUE
Version string of run-time library, or NULL if the run-time library does not meet the required version number.

REPORTING BUGS
Report bugs to <bug-libidn@gnu.org>.

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006, 2007, 2008 Simon Josefsson.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual.